SDL_miropengl.h File Reference
`#include "SDL_mirwindow.h"`
`#include "../SDL_egl_c.h"`
Include dependency graph for SDL_miropengl.h:

Go to the source code of this file.

## Macros

#define | MIR_GL_DeleteContext SDL_EGL_DeleteContext
#define | MIR_GL_GetSwapInterval SDL_EGL_GetSwapInterval
#define | MIR_GL_SetSwapInterval SDL_EGL_SetSwapInterval
#define | MIR_GL_UnloadLibrary SDL_EGL_UnloadLibrary
#define | MIR_GL_GetProcAddress SDL_EGL_GetProcAddress

## Functions

int | MIR_GL_SwapWindow (_THIS, SDL_Window *window)
int | MIR_GL_MakeCurrent (_THIS, SDL_Window *window, SDL_GLContext context)
SDL_GLContext | MIR_GL_CreateContext (_THIS, SDL_Window *window)
int | MIR_GL_LoadLibrary (_THIS, const char *path)

## Macro Definition Documentation

## MIR_GL_DeleteContext

#define MIR_GL_DeleteContext SDL_EGL_DeleteContext

Definition at line 33 of file SDL_miropengl.h.

## MIR_GL_GetProcAddress

#define MIR_GL_GetProcAddress SDL_EGL_GetProcAddress

Definition at line 37 of file SDL_miropengl.h.

## MIR_GL_GetSwapInterval

#define MIR_GL_GetSwapInterval SDL_EGL_GetSwapInterval

Definition at line 34 of file SDL_miropengl.h.

## MIR_GL_SetSwapInterval

#define MIR_GL_SetSwapInterval SDL_EGL_SetSwapInterval

Definition at line 35 of file SDL_miropengl.h.

## MIR_GL_UnloadLibrary

#define MIR_GL_UnloadLibrary SDL_EGL_UnloadLibrary

Definition at line 36 of file SDL_miropengl.h.

## Function Documentation

## MIR_GL_CreateContext()

SDL_GLContext MIR_GL_CreateContext | ( | _THIS | ,
|  | SDL_Window * | window
| ) |  |

## MIR_GL_LoadLibrary()

int MIR_GL_LoadLibrary | ( | _THIS | ,
|  | const char * | path
| ) |  |

## MIR_GL_MakeCurrent()

int MIR_GL_MakeCurrent | ( | _THIS | ,
|  | SDL_Window * | window,
|  | SDL_GLContext | context
| ) |  |

## MIR_GL_SwapWindow()

int MIR_GL_SwapWindow | ( | _THIS | ,
|  | SDL_Window * | window
| ) |  |